FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 10-28-2008, 05:43 PM
Daniel Pielmeier
 
Default Circular blocks after last night's sync?

Allan Gottlieb schrieb am 28.10.2008 18:40:
>
> I have obtained the sources to e2fsprogs, e2fsprogs-libs, ss, com_error
> via emerge --fetchonly.
> Am I correct in believing that emerge --unmerge will NOT remove the
> sources.

No the sources should not get removed unless you use tools like eclean.
To be save quickpkg the packages you want to remove before you actually
remove them. So in case of failure you can get them back.
 
Old 10-28-2008, 06:09 PM
Allan Gottlieb
 
Default Circular blocks after last night's sync?

I have unmerged all the files involved in the blockage

allan Mail # emerge --ask --unmerge e2fsprogs e2fsprogs-libs ss com_err

>>> These are the packages that would be unmerged:

--- Couldn't find 'e2fsprogs' to unmerge.

--- Couldn't find 'e2fsprogs-libs' to unmerge.

--- Couldn't find 'ss' to unmerge.

--- Couldn't find 'com_err' to unmerge.

>>> No packages selected for removal by unmerge

But when I do an emerge world I still get the blockage
(I previously tried emerge -1 e2fsprogs, which brought in
e2fsprogs-libs, but still gave the blockage shown below).

This command was issued right after the testing unmerge above

allan Mail # emerge --ask --verbose --deep --tree --newuse --update world
These are the packages that would be merged, in reverse order:

Calculating world dependencies... done!
[nomerge ] gnome-base/gnome-2.22.3 USE="cdr cups dvdr esd ldap -accessibility -mono"
[nomerge ] app-text/evince-2.22.2-r1 USE="dbus doc gnome gnome-keyring tiff -debug -djvu -dvi -t1lib"
[ebuild U ] app-text/libspectre-0.2.1 [0.2.0] USE="doc -debug -test" 381 kB
[nomerge ] app-text/libspectre-0.2.1 [0.2.0] USE="doc -debug -test"
[nomerge ] app-doc/doxygen-1.5.4 USE="doc -debug -latex -nodot -qt3"
[ebuild U ] media-gfx/graphviz-2.20.3 [2.20.2] USE="cairo doc gnome gtk java jpeg nls perl png python -cgraph -examples -ruby -tcl" 13,068 kB
[nomerge ] x11-wm/sawfish-1.3.3 USE="esd gnome nls -audiofile -pango"
[nomerge ] x11-libs/rep-gtk-0.18-r3 USE="gnome"
[ebuild U ] gnome-base/libbonobo-2.24.0 [2.22.0] USE="doc -debug" 1,422 kB
[ebuild U ] net-fs/nfs-utils-1.1.3 [1.1.0-r1] USE="kerberos tcpd -nonfsv4" 793 kB
[nomerge ] app-crypt/mit-krb5-1.6.3-r1 USE="doc ipv6 -krb4 -tcl"
[ebuild N ] sys-libs/ss-1.40.9 USE="nls" 0 kB
[ebuild N ] sys-libs/com_err-1.40.9 USE="nls" 0 kB
[nomerge ] gnome-base/gnome-2.22.3 USE="cdr cups dvdr esd ldap -accessibility -mono"
[nomerge ] gnome-extra/gnome-utils-2.20.0.1 USE="hal ipv6 -debug"
[ebuild N ] sys-fs/e2fsprogs-1.41.2 USE="nls" 0 kB
[ebuild N ] sys-libs/e2fsprogs-libs-1.41.2 USE="nls" 0 kB
[nomerge ] app-text/texlive-2007-r3 USE="X doc png xml -cjk -context -cyrillic -extra -games -graphics -humanities -jadetex -music -omega -pstricks -publishers -science -tex4ht -xetex" LINGUAS="-af -ar -bg -bn -bo -cs -cy -da -de -el -en -en_GB -eo -es -et -fi -fr -he -hi -hr -hsb -hu -hy -id -is -it -ja -ko -la -ml -mn -nl -no -pl -pt -ro -ru -sk -sl -sr -sv -ta -th -tr -uk -vi -zh"
[ebuild U ] dev-tex/feynmf-1.08-r3 [1.08-r2] USE="doc" 0 kB
[blocks B ] sys-libs/e2fsprogs-libs (is blocking sys-libs/ss-1.40.9, sys-libs/com_err-1.40.9)
[blocks B ] sys-libs/com_err (is blocking sys-libs/e2fsprogs-libs-1.41.2)
[blocks B ] sys-libs/ss (is blocking sys-libs/e2fsprogs-libs-1.41.2)

Total: 9 packages (5 upgrades, 4 new, 3 blocks), Size of downloads: 15,663 kB

!!! Error: The above package list contains packages which cannot be installed
!!! at the same time on the same system.

For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked

allan Mail #

Is there some order that I must merge them back in?

allan
 
Old 10-28-2008, 06:26 PM
Alan McKinnon
 
Default Circular blocks after last night's sync?

On Tuesday 28 October 2008 21:09:00 Allan Gottlieb wrote:
> I have unmerged all the files involved in the blockage
>
> allan Mail # emerge --ask --unmerge e2fsprogs e2fsprogs-libs ss com_err
>
> >>> These are the packages that would be unmerged:
>
> --- Couldn't find 'e2fsprogs' to unmerge.
>
> --- Couldn't find 'e2fsprogs-libs' to unmerge.
>
> --- Couldn't find 'ss' to unmerge.
>
> --- Couldn't find 'com_err' to unmerge.

If you look at the emerge output below, you will see that all 4 are proceeded
by [ebuild N ] which means they are not installed at all.

Botto line is that e2fsprogs-libs abd ss|com_err cannot co-exist on the same
system, as e2fsprogs-libs implements what they do. Look at the *DEPEND in the
ebuild to see what e2fsprogs-libs blocks.

I have a ~arch system, what I did way back when was to simply put ss and
com_err in package.mask, and everything worked. I also have e2fsprogs and
mit-krb5 installed, just like you do.


>
> >>> No packages selected for removal by unmerge
>
> But when I do an emerge world I still get the blockage
> (I previously tried emerge -1 e2fsprogs, which brought in
> e2fsprogs-libs, but still gave the blockage shown below).
>
> This command was issued right after the testing unmerge above
>
> allan Mail # emerge --ask --verbose --deep --tree --newuse --update
> world These are the packages that would be merged, in reverse order:
>
> Calculating world dependencies... done!
> [nomerge ] gnome-base/gnome-2.22.3 USE="cdr cups dvdr esd ldap
> -accessibility -mono" [nomerge ] app-text/evince-2.22.2-r1 USE="dbus
> doc gnome gnome-keyring tiff -debug -djvu -dvi -t1lib" [ebuild U ]
> app-text/libspectre-0.2.1 [0.2.0] USE="doc -debug -test" 381 kB [nomerge
> ] app-text/libspectre-0.2.1 [0.2.0] USE="doc -debug -test" [nomerge
> ] app-doc/doxygen-1.5.4 USE="doc -debug -latex -nodot -qt3" [ebuild U
> ] media-gfx/graphviz-2.20.3 [2.20.2] USE="cairo doc gnome gtk java jpeg
> nls perl png python -cgraph -examples -ruby -tcl" 13,068 kB [nomerge ]
> x11-wm/sawfish-1.3.3 USE="esd gnome nls -audiofile -pango" [nomerge ]
> x11-libs/rep-gtk-0.18-r3 USE="gnome"
> [ebuild U ] gnome-base/libbonobo-2.24.0 [2.22.0] USE="doc -debug"
> 1,422 kB [ebuild U ] net-fs/nfs-utils-1.1.3 [1.1.0-r1] USE="kerberos
> tcpd -nonfsv4" 793 kB [nomerge ] app-crypt/mit-krb5-1.6.3-r1
> USE="doc ipv6 -krb4 -tcl" [ebuild N ] sys-libs/ss-1.40.9 USE="nls" 0
> kB
> [ebuild N ] sys-libs/com_err-1.40.9 USE="nls" 0 kB
> [nomerge ] gnome-base/gnome-2.22.3 USE="cdr cups dvdr esd ldap
> -accessibility -mono" [nomerge ] gnome-extra/gnome-utils-2.20.0.1
> USE="hal ipv6 -debug" [ebuild N ] sys-fs/e2fsprogs-1.41.2 USE="nls"
> 0 kB
> [ebuild N ] sys-libs/e2fsprogs-libs-1.41.2 USE="nls" 0 kB
> [nomerge ] app-text/texlive-2007-r3 USE="X doc png xml -cjk
> -context -cyrillic -extra -games -graphics -humanities -jadetex -music
> -omega -pstricks -publishers -science -tex4ht -xetex" LINGUAS="-af -ar -bg
> -bn -bo -cs -cy -da -de -el -en -en_GB -eo -es -et -fi -fr -he -hi -hr -hsb
> -hu -hy -id -is -it -ja -ko -la -ml -mn -nl -no -pl -pt -ro -ru -sk -sl -sr
> -sv -ta -th -tr -uk -vi -zh" [ebuild U ] dev-tex/feynmf-1.08-r3
> [1.08-r2] USE="doc" 0 kB [blocks B ] sys-libs/e2fsprogs-libs (is
> blocking sys-libs/ss-1.40.9, sys-libs/com_err-1.40.9) [blocks B ]
> sys-libs/com_err (is blocking sys-libs/e2fsprogs-libs-1.41.2) [blocks B
> ] sys-libs/ss (is blocking sys-libs/e2fsprogs-libs-1.41.2)
>
> Total: 9 packages (5 upgrades, 4 new, 3 blocks), Size of downloads:
> 15,663 kB
>
> !!! Error: The above package list contains packages which cannot be
> installed !!! at the same time on the same system.
>
> For more information about Blocked Packages, please refer to the
> following section of the Gentoo Linux x86 Handbook (architecture is
> irrelevant):
>
> http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked
>
> allan Mail #
>
> Is there some order that I must merge them back in?
>
> allan



--
alan dot mckinnon at gmail dot com
 
Old 10-28-2008, 06:38 PM
Willie Wong
 
Default Circular blocks after last night's sync?

On Tue, Oct 28, 2008 at 03:09:00PM -0400, Allan Gottlieb wrote:
> [nomerge ] app-crypt/mit-krb5-1.6.3-r1 USE="doc ipv6 -krb4 -tcl"

Use the ~ version of mit-krb5, any version above 1.6.3-r2 should be
okay.

Also, please file a bug/stablization request about this against
mit-krb5.

W
--
Willie W. Wong wwong@math.princeton.edu
408 Fine Hall, Department of Mathematics, Princeton University, Princeton
A mathematician's reputation rests on the number of bad proofs he has given.
 
Old 10-28-2008, 06:58 PM
Daniel Pielmeier
 
Default Circular blocks after last night's sync?

Allan Gottlieb schrieb am 28.10.2008 20:09:
> [nomerge ] app-crypt/mit-krb5-1.6.3-r1 USE="doc ipv6 -krb4 -tcl"
> [ebuild N ] sys-libs/ss-1.40.9 USE="nls" 0 kB
> [ebuild N ] sys-libs/com_err-1.40.9 USE="nls" 0 kB

Put =app-crypt/mit-krb5-1.6.3-r4 into package.keywords and try again.
 
Old 10-28-2008, 07:00 PM
Daniel Pielmeier
 
Default Circular blocks after last night's sync?

Willie Wong schrieb am 28.10.2008 20:38:
> On Tue, Oct 28, 2008 at 03:09:00PM -0400, Allan Gottlieb wrote:
>> [nomerge ] app-crypt/mit-krb5-1.6.3-r1 USE="doc ipv6 -krb4 -tcl"
>
> Use the ~ version of mit-krb5, any version above 1.6.3-r2 should be
> okay.
>
> Also, please file a bug/stablization request about this against
> mit-krb5.
>
> W

It is already there http://bugs.gentoo.org/show_bug.cgi?id=241670. The
e2fsprogs bug I mentioned before also depends on this one.
 
Old 10-28-2008, 07:03 PM
Eray Aslan
 
Default Circular blocks after last night's sync?

On Tue, Oct 28, 2008 at 03:09:00PM -0400, Allan Gottlieb wrote:
> I have unmerged all the files involved in the blockage
>
> allan Mail # emerge --ask --unmerge e2fsprogs e2fsprogs-libs ss com_err
>
> >>> These are the packages that would be unmerged:
>
> --- Couldn't find 'e2fsprogs' to unmerge.
>
> --- Couldn't find 'e2fsprogs-libs' to unmerge.
>
> --- Couldn't find 'ss' to unmerge.
>
> --- Couldn't find 'com_err' to unmerge.
>
> >>> No packages selected for removal by unmerge
>
> But when I do an emerge world I still get the blockage
> (I previously tried emerge -1 e2fsprogs, which brought in
> e2fsprogs-libs, but still gave the blockage shown below).

Careful with the unmerges. Check the following for the gory details and
possible work arounds:

http://bugs.gentoo.org/show_bug.cgi?id=234907
http://bugs.gentoo.org/show_bug.cgi?id=244511

Such a mess.

--
Eray
 
Old 10-28-2008, 07:15 PM
Chris Walters
 
Default Circular blocks after last night's sync?

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Allan Gottlieb wrote:
<snip>
> I have obtained the sources to e2fsprogs, e2fsprogs-libs, ss, com_error
> via emerge --fetchonly.
> Am I correct in believing that emerge --unmerge will NOT remove the
> sources.
>
> thanks,
> allan

You are correct that emerge --unmerge will not remove the sources. There are
some 'clean-up' utilities that will, but emerge will not.

I agree with the people suggesting the quickpkg to backup the existing
packages. The emerge --fetchonly command is the way to go here, since
depending on the USE flags you used to build wget, there may be a deep
dependency on com_err.

Regards,
Chris
-----BEGIN PGP SIGNATURE-----

iQIcBAEBCgAGBQJJB3K/AAoJEIAhA8M9p9DA7SoP+QHcMANAlLDJs5SLkAG0oRx0
9PEDyCnAHykC5Mfo8tEO3JRBu6Jt6IL+/O/v8LE4o2Q3tWurHDTFmSlCUWKgi77Q
/xZRY0LtU1690mF0NPsolo1IJPKPloIdUj3xkM7nMJVHOCuMrzI SN8aG6PY0za8r
wdR+J07BN0BgL4KxLlTPYq37TNVQ0e/p+nv5ThMV40yWRmi6uSAd5406tvLrSY6n
JiW8gc4XqSoO4NvKkZ/P81hRjNx+llIaxxVxD8e+ELnTz6EwTNX0WaY5qIvO7oGB
BBgjR/2Y0fve4j5Fh7yMwTZvdrTF2W9T2DufsuYIavco6hGOAwPOarxf asIJzVTm
pjt3BcX/SqnQHrcS01O5gYyaO40x2jOBxq5OwaFenibQ2PEp45g47EAnun 3joRpf
LyxfVXpzQXbm6RKHyeMEPVEJD1mcDgCuJb2DmTSm4MNwyvIm6n TvS7CJGl10C8aT
7xqPOmQyS4UF5DprFaXtuV1gkpJNmsYXVoSANeRWZijN4DXCEt Dwld0fOvTAmjod
eRdR0kFdxf2ybbiqsWchqgdmegMqaVR+DBzdiJWFtvaepSpOje ik5T4xTph7csu/
zQI9/Wyru+2KrP44VgHGeJKBrG9ji/NliomRu4hjklKi0Hbd29N0biUJw5eJv/CD
MiuUQwCipH/joPS/0neK
=/LHj
-----END PGP SIGNATURE-----
 
Old 10-28-2008, 07:21 PM
"Kevin O'Gorman"
 
Default Circular blocks after last night's sync?

On Tue, Oct 28, 2008 at 10:27 AM, Daniel Pielmeier
<daniel.pielmeier@googlemail.com> wrote:
> Robert Bridge schrieb am 28.10.2008 18:21:
>> On Tue, 28 Oct 2008 13:08:32 -0400
>> "James Homuth" <james@the-jdh.com> wrote:
>>
>>> During an update attempt this afternoon, these little surprises were
>>> waiting for me. I took a look at the archives, and naturally, google,
>>> but all I found were lots of the same error, and no information on
>>> it/what's broken. Anyone else having this particular problem? The
>>> block errors are below.
>>>
>>> [blocks B ] sys-libs/ss (is blocking
>>> sys-libs/e2fsprogs-libs-1.41.2)
>>>
>>> [blocks B ] <sys-fs/e2fsprogs-1.41 (is blocking
>>> sys-libs/e2fsprogs-libs-1.41.2)
>>>
>>> [blocks B ] sys-libs/com_err (is blocking
>>> sys-libs/e2fsprogs-libs-1.41.2)
>>>
>>> [blocks B ] sys-libs/e2fsprogs-libs (is blocking
>>> sys-libs/ss-1.40.9,
>>> sys-libs/com_err-1.40.9)
>>>
>>> This was during an emerge --update world.
>>>
>>>
>>
>> emerge -C e2fsprogs, ss, com_err && emerge -1 e2fsprogs
>>
>> e2fsprogs is being restructured, which is causing the problem.
>
> If you go the route of uninstalling things first, make sure that you
> have the sources prepared as wget might not work for some use flag
> combinations when you remove e2fsprogs, ss, com_err in advance.

Sadly, I did not read this until these were all unmerged, and wget is
truly broken.

Happily, I do run with buildpkg on all the time, but an this the first time I've
really needed them. Getting back to a running system was pretty easy.

However, this does not really solve the problem. What's a safe way to
do this emerge?

++ kevin


--
Kevin O'Gorman, PhD
 
Old 10-28-2008, 07:26 PM
Daniel Pielmeier
 
Default Circular blocks after last night's sync?

Kevin O'Gorman schrieb am 28.10.2008 21:21:
> Sadly, I did not read this until these were all unmerged, and wget is
> truly broken.
>
> Happily, I do run with buildpkg on all the time, but an this the first time I've
> really needed them. Getting back to a running system was pretty easy.
>
> However, this does not really solve the problem. What's a safe way to
> do this emerge?

>=sys-apps/portage-2.1.5 but it is not stable at the moment too.
 

Thread Tools




All times are GMT. The time now is 05:44 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org